import {
  AfterViewInit,
  ChangeDetectionStrategy,
  ChangeDetectorRef,
  Component,
  ContentChildren,
  EventEmitter,
  Input,
  OnInit,
  Output,
  QueryList,
  TemplateRef,
} from '@angular/core';
import { IGridCell } from './grid';

@Component({
  selector: 'app-grid',
  templateUrl: './grid.component.html',
  styleUrls: ['./grid.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class GridComponent implements OnInit, AfterViewInit {
  @Input() cells: IGridCell[] = [];
  @Input() rows: [] = [];
  @Input() totalRows: number;
  @Input() isLoading = false;
  @Input() pagingMode: string | 'paging' | 'scroll';
  // tslint:disable-next-line: no-output-rename
  @Output('isLoaded') isLoaded = new EventEmitter<any>();

  constructor(private cdr: ChangeDetectorRef) {}

  ngOnInit(): void {}

  ngAfterViewInit(): void {}
}
